# Method: sharedAlbums.join

- [HTTP request](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/join#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/join#body.request_body)
  - [JSON representation](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/join#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/join#body.response_body)
  - [JSON representation](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/join#body.JoinSharedAlbumResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/join#body.aspect)
- [Try it!](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/join#try-it)

Joins a shared album on behalf of the Google Photos user.

### HTTP request

`POST https://photoslibrary.googleapis.com/v1/sharedAlbums:join`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "shareToken": string } ``` |

| Fields ||
|---|---|
| `shareToken` | `string` Required. Token to join the shared album on behalf of the user. |

### Response body

Response to successfully joining the shared album on behalf of the user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "album": { object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`) } } ``` |

| Fields ||
|---|---|
| `album` | ``object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`)`` Shared album that the user has joined. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photoslibrary.sharing`